<!-- ***********  Required Prerequisites **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
     <tr>
          <td align="left" valign="top" bgcolor="#0080C0"><font
               face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">Prerequisites
                    and Handy Extras</font></td>
     </tr>
     <tr>
          <td>
               <p>These are the prerequisites to build or run these packages. All
                    are not necessarily required, but instead some subset. Also listed
                    are some frequently needed links for committer-required packages
                    when creating new development environments, or targets to run
                    against.</p>
               <p>
                    Note that WTP as a whole requires Java 6 even though subsets of WTP
                    and other <a href="http://www.eclipse.org/downloads/">Eclipse
                         Projects</a> might run with <a
                         href="http://www.eclipse.org/downloads/moreinfo/jre.php">other JRE
                         levels</a>.
               </p>
               <p></p>
          </td>
     </tr>
     <tr>
          <td>
               <table border=0 cellspacing=1 cellpadding=1 width="90%"
                    align="center">





                    <?php
                                        
                    include_once('prereqsToDisplay.php');
                    
                    if ("true" === $prereq_eclipseplatform) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td width=\"40%\">Eclipse Platform</td>";


                        //customize page depending on user's browser/platform, if we can detect it
                        $usersPlatform = getPlatform();
                        // assume windows by default, since likely most frequent, even for cases where
                        // platform is "unknown". I've noticed Opera reports 'unknown' :(
                        $recommendedFile=$eclipseplatformfilewindows;
                        if (strcmp($usersPlatform,"linux")== 0) {
                            $recommendedFile=$eclipseplatformfilelinux;
                        } else if (strcmp($usersPlatform,"mac") == 0) {
                            $recommendedFile=$eclipseplatformfilemacosx;
                        }

                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $eclipseURL, $recommendedFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $eclipseplatformBuildURL . "\">appropriate platform</a>";
                        echo " or <a href=\"" . $eclipseplatformBuildHome . "\">equivalent</a></td>";


                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_eclipse) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td width=\"40%\">Eclipse SDK (Platform, JDT)</td>";


                        //customize page depending on user's browser/platform, if we can detect it
                        $usersPlatform = getPlatform();
                        // assume windows by default, since likely most frequent, even for cases where
                        // platform is "unknown". I've noticed Opera reports 'unknown' :(
                        $recommendedFile=$eclipsefilewindows;
                        if (strcmp($usersPlatform,"linux")== 0) {
                            $recommendedFile=$eclipsefilelinux;
                        } else if (strcmp($usersPlatform,"mac") == 0) {
                            $recommendedFile=$eclipsefilemacosx;
                        }

                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $eclipseURL, $recommendedFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $eclipseBuildURL . "\">appropriate platform</a>";
                        echo " or <a href=\"" . $eclipseBuildHome . "\">equivalent</a></td>";


                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_emf) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $emfName . "&nbsp;" . $emfDescription ;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $emfMirrorPrefixuri, $emfURL, $emfFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $emfBuildHome . "\">equivalent</a></td>";
                        echo " </tr>";
                    }
                    ?>






                    <?php
                    if ("true" === $prereq_emfxsd) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $emfxsdName . "&nbsp;" . $emfxsdDescription ;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $emfxsdMirrorPrefixuri, $emfxsdURL, $emfxsdFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $emfxsdBuildHome . "\">equivalent</a></td>";
                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_emfandxsd) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $emfandxsdName . "&nbsp;" . $emfandxsdDescription ;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $emfandxsdMirrorPrefixuri, $emfandxsdURL, $emfandxsdFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $emfandxsdBuildHome . "\">equivalent</a></td>";
                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_gef) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $gefName  . "&nbsp;" . $gefDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $gefMirrorPrefixuri, $gefURL, $gefFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $gefBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_dtp) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $dtpName . "&nbsp;" . $dtpDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $dtpMirrorPrefixuri, $dtpURL, $dtpFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $dtpBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_emftransaction) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $emftransactionName  . "&nbsp;" . $emftransactionDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $emftransactionMirrorPrefixuri, $emftransactionURL, $emftransactionFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $emftransactionBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_emfvalidation) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $emfvalidationName  . "&nbsp;" . $emfvalidationDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $emfvalidationMirrorPrefixuri, $emfvalidationURL, $emfvalidationFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $emfvalidationBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_graphiti) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $graphitiName  . "&nbsp;" . $graphitiDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $graphitiMirrorPrefixuri, $graphitiURL, $graphitiFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $graphitiBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_wst) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $wstName . "&nbsp;" . $wstDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $wstMirrorPrefixuri, $wstURL, $wstFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $wstBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>





                    <?php
                    if ("true" === $prereq_jst) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $jstName . "&nbsp;" . $jstDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $jstMirrorPrefixuri, $jstURL, $jstFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $jstBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>




                    <?php
                    if ("true" === $prereq_wtp) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $wtpName . "&nbsp;" . $wtpDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $wtpMirrorPrefixuri, $wtpURL, $wtpFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $wtpBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>




                    <?php
                    if ("true" === $prereq_wtptests) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $wtptestsName . "&nbsp;" . $wtptestsDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $wtptestsMirrorPrefixuri, $wtptestsURL, $wtptestsFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $wtptestsBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>



                    <?php
                    if ("true" === $prereq_dltk) {
                        echo "<tr valign=\"top\">";
                        echo "<td width=\"10%\"></td>";
                        echo "<td>";

                        echo $dltkName . "&nbsp;" . $dltkDescription;

                        echo "</td>";
                        echo "<td align=\"right\">";

                        echo getPrereqReferenceOrName($eclipseMirrorScript, $dltkMirrorPrefixuri, $dltkURL, $dltkFile, $eclipseFSpathPrefix);
                        echo " or <a href=\"" . $dltkBuildHome . "\">equivalent</a></td>";

                        echo " </tr>";
                    }
                    ?>
                    <tr valign="middle">
                         <td width="10%"></td>
                         <td colspan="2">
                              <hr /></td>
                    </tr>









                     <?php
                     if ("true" === $prereq_emf) {
                            echo "<tr valign=\"top\">";
                            echo "<td width=\"10%\"></td>";
                            echo "<td>";
                            echo $emfsourceName . "&nbsp;" . $emfsourceDescription;
                            echo "</td> ";
                            echo "<td align=\"right\">";
                            echo getPrereqReferenceOrName($eclipseMirrorScript, $emfsourceMirrorPrefixuri, $emfsourceURL, $emfsourceFile, $eclipseFSpathPrefix);
                            echo " or <a href=\"" . $emfsourceBuildHome . "\">equivalent</a></td>";
                            echo "</tr>";
                     }
                     ?>
                     <?php
                     if ("true" === $prereq_emfxsd) {
                            echo "<tr valign=\"top\">";
                            echo "<td width=\"10%\"></td>";
                            echo "<td>";
                            echo $emfxsdsourceName . "&nbsp;" . $emfxsdsourceDescription;
                            echo "</td> ";
                            echo "<td align=\"right\">";
                            echo getPrereqReferenceOrName($eclipseMirrorScript, $emfxsdsourceMirrorPrefixuri, $emfxsdsourceURL, $emfxsdsourceFile, $eclipseFSpathPrefix);
                            echo " or <a href=\"" . $emfxsdsourceBuildHome . "\">equivalent</a></td>";
                            echo "</tr>";
                     }
                     ?>

                     <?php
                     if (true) {
                            echo "<tr valign=\"top\">";
                            echo "<td width=\"10%\"></td>";
                            echo "<td>";
                            echo "Eclipse Test Framework (required only for Automated JUnit tests)";
                            echo "</td> ";
                            echo "<td align=\"right\">";

                            echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $testURL, $testFile, $eclipseFSpathPrefix);
                            echo " or <a href=\"" . $eclipseBuildHome . "\">equivalent</a></td>";
                            echo "</tr>";
                     }
                     ?>


                     <tr valign="top">
                            <td width="10%"></td>
                            <td>Eclipse releng tool (required only for committers to more easily
                            "release" code to a build)</td>
                            <td align="right"><?php
                            echo getPrereqReferenceOrName($eclipseMirrorScript, $eclipseMirrorPrefixuri, $eclipserelengURL, $eclipserelengFile, $eclipseFSpathPrefix);
                            echo " or <a href=\"" . $eclipseBuildHome . "\">equivalent</a></td>";
                            ?>

                     </tr>

                     <tr valign="top">
                            <td width="10%"></td>
                            <td>Third Party code from Orbit. Not required and is currently much
                            more than needed for WTP, but some committers like using to create a
                            PDE target.</td>
                            <td align="right"><?php
                            echo getPrereqReferenceOrName($eclipseMirrorScript, $orbitthirdpartyzipMirrorPrefixuri, $orbitthirdpartyzipURL, $orbitthirdpartyzipFile,$eclipseFSpathPrefix);
                            echo " or <a href=\"" . $orbitthirdpartyzipBuildHome . "\">equivalent</a></td>";
                            ?>

                     </tr>

              </table>
          </td>
     </tr>
</table>

