<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">





<?php

//ini_set("display_errors", "true");
//error_reporting (E_ALL);

include_once("miscUtil.php");
include_once('buildvariables.php');

// our summary results handling requires php 5 (for simple xml file loading)
// so, if not php 5, just don't display any summary results
// This was found to be required, since some mirror our whole site (e.g. IBM)
// and not all mirrors use PHP 5
$displayTestSummary=false;
if (phpversion() >= 5) {

     $code_totalBundles=0;
     $code_totalErrors=0;
     $code_totalWarnings=0;
     $code_totalforbiddenAccessWarningCount=0;
     $code_totaldiscouragedAccessWarningCount=0;

     $test_totalBundles=0;
     $test_totalErrors=0;
     $test_totalWarnings=0;
     $test_totalforbiddenAccessWarningCount=0;
     $test_totaldiscouragedAccessWarningCount=0;


     $displayTestSummary=true;
     // expecting grandTotalErrors and grandTotalTests
     $filename = "unitTestsSummary.xml";
     if (file_exists($filename)) {
          $prefix = "unitTests_";
          $unitTestsSummary = simplexml_load_file($filename);
          foreach ($unitTestsSummary->summaryItem as $summaryItem) {
               $name = $summaryItem->name;
               $value = $summaryItem->value;
               $code= "\$" . $prefix . $name . " = " . $value . ";";
               //echo "<br />code: " . $code;
               eval($code);
          }
     }

     $filename = "compilelogsSummary.xml";
     if (file_exists($filename)) {
          $prefix = "code_";
          $compileSummary = simplexml_load_file($filename);
          foreach ($compileSummary->summaryItem as $summaryItem) {
               $name = $summaryItem->name;
               $value = $summaryItem->value;
               $code= "\$" . $prefix . $name . " = " . $value . ";";
               //echo "<br />code: " . $code;
               eval($code);
          }
     }

     $filename = "testcompilelogsSummary.xml";
     if (file_exists($filename)) {
          $prefix = "test_";
          $compileSummary = simplexml_load_file($filename);
          foreach ($compileSummary->summaryItem as $summaryItem) {
               $name = $summaryItem->name;
               $value = $summaryItem->value;
               $code= "\$" . $prefix . $name . " = " . $value . ";";
               //echo "<br />code: " . $code;
               eval($code);
          }
     }
}


?>

<?php include 'headingIntro.php';?>


<?php include 'displayPrereqs.php';?>

<!-- ***********  explaination **************  -->



<table border=0 cellspacing=2 cellpadding=2 width="100%">
     <tr>
          <td align=left valign=top colspan="2" bgcolor="#0080C0"><font
               face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">How to use Eclispe 4.1 with WTP.</font></td>
     </tr>

     <tr>
          <td align="left" valign="top" colspan="5">
          <p>There are no zips or repositories produced by this build. The purpose of this build 
          is simply to test that WTP 3.3 can build and compile against Eclipse 4.1. By design, any code produced would be 
          equivilent to what is produced when compiled against Eclipse 3.7. 
          Therefore, there is no need for two sets of WTP binary distribtutions, one compiled with Eclipse 3.7 and one compiled with 4.1.
          One binary distribution will do, and that binary distribution can be installed into either Eclipse 3.7 
          or Eclipse 4.1. For Indigo, our official binary distribution will be that one produced when compiling against Eclipse 3.7.</p>
          <p>To run and test WTP 3.3 with Eclipse 4.1, simply start with Eclipse 4.1 SDK, unzipped. 
          Then, install our normal prereqs into it -- EMF and XSD, GEF, DTP, and, optionally Unit Tests Framework -- either as listed above, or from the same download page 
          you get WTP 3.3 from. Then, into that 4.1 based install, add a WTP 3.3 build distribution obtained from one of the 
          WTP download pages, where WTP was compiled against 3.7.  It sounds more complicated than it is ... 
          it is the same as you'd normall do for WTP, but you just start with a different Eclipse SDK.    
          </td>
     </tr>


</table>



<!-- ***********  Build Status **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
     <tr>
          <td align=left valign=top bgcolor="#0080C0"><font
               face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">Status, tests
          and other interesting details</font></td>
     </tr>
     <tr>
          <td>
          <table border=0 cellspacing=2 cellpadding=2 width="90%" align="center">

               <tr>
                    <td><?php 
                    if (isset($displayBuildNotes) && $displayBuildNotes) {
                         echo "<a href=\"buildNotes.php\">Build notes</a> <br />";
                    }
                    ?> <a href="directory.txt">map files</a> <br />
                    <?php

                    //if (file_exists("components")) {
                    //     echo "<a href=\"components/components.php\">Misc Components</a> <br />\n";
                    //}


                    if ($displayTestSummary) {


                         if (isset($unitTests_grandTotalErrors)) {
                              $errorColor="green";
                              if ($unitTests_grandTotalErrors > 0) {
                                   $errorColor="red";
                              }
                              echo "<a href=\"testResults.php\">Unit test results</a>&nbsp;";
                              echo "<img src=\"junit_err.gif\"/><font color=\"" . $errorColor . "\">" . $unitTests_grandTotalErrors . "</font>&nbsp;&nbsp;Total: " . $unitTests_grandTotalTests;
                         }
                         else {
                              $compileProblemMarkerFile="compilationProblems.txt";
                              if (file_exists($compileProblemMarkerFile)) {
                                   echo "<br /> <img src=\"compile_err.gif\"/>&nbsp;&nbsp;No unit tests available. The remaining build and tests were canceled since compilation problems were found. Check compiler output summaries.";
                              } else {
                                   $installLogName="p2DirectorInstall.log.txt";
                                   if (file_exists($installLogName)) {
                                        echo "<br /><img src=\"compile_err.gif\"/>&nbsp;&nbsp;No unit tests available. See <a href=\"" . $installLogName . "\">the p2Director install log file </a>from failed test installation attempt";
                                   } else {
                                        $noTestsProvidedMarkerFile="noTestsProvided.txt";
                                        if (file_exists($noTestsProvidedMarkerFile)) {
                                             echo "<br /><img src=\"compile_warn.gif\"/>&nbsp;&nbsp;No unit tests available. This build component does not providing any unit tests.";
                                        } else {

                                             // we may really be pending (tests still running) or maybe they failed in unexpted way?.
                                             echo "<br /><font color=\"orange\">Unit tests ae pending, or otherwise don't exists, or there is an unanticipated build error.</font>";

                                        }
                                   }
                              }
                         }





                         echo "<br />";

                         echo "<br />";
                         echo "<a href=\"compileResults.php\">Compile logs: Code Bundles</a>";

                         echo "&nbsp;&nbsp;($code_totalBundles)&nbsp;&nbsp;";
                         echo "<img src=\"compile_err.gif\"/><font color=red>$code_totalErrors</font>&nbsp;";
                         echo "<img src=\"compile_warn.gif\"/><font color=orange>$code_totalWarnings</font>&nbsp;";
                         echo "<img src=\"access_err.gif\"/><font color=red>$code_totalforbiddenAccessWarningCount</font>&nbsp;";
                         echo "<img src=\"access_warn.gif\"/><font color=orange>$code_totaldiscouragedAccessWarningCount</font>&nbsp;";

                         echo "<br />";
                         echo "<a href=\"testCompileResults.php\">Compile logs: Test Bundles</a>";

                         echo "&nbsp;&nbsp;($test_totalBundles)&nbsp;&nbsp;";
                         echo "<img src=\"compile_err.gif\"/><font color=red>$test_totalErrors</font>&nbsp;";
                         echo "<img src=\"compile_warn.gif\"/><font color=orange>$test_totalWarnings</font>&nbsp;";
                         echo "<img src=\"access_err.gif\"/><font color=red>$test_totalforbiddenAccessWarningCount</font>&nbsp;";
                         echo "<img src=\"access_warn.gif\"/><font color=orange>$test_totaldiscouragedAccessWarningCount</font>&nbsp;";

                         $logname="antBuilderOutput.log";
                         if (file_exists($logname)) {
                              echo "<br /> <a href=\"".$logname."\" type=\"text/plain\">Full Log</a> from build ". fileSizeForDisplay($logname);
                         }


                    }

                    ?> <br />

                    <?php
                    if (file_exists("versioningReportName.php")) {
                         include "versioningReportName.php";
                         $fname="${versionReportFilename}.html";
                         if (file_exists($fname)) {
                              echo "<br /> <a href='$fname'>Versioning Information</a>";
                         }
                    }
                    ?></td>
               </tr>
          </table>
          </td>
     </tr>
</table>



<!-- footer -->
<center>
<hr>
<p>All downloads are provided under the terms and conditions of the <a
     href="http://www.eclipse.org/legal/notice.html">Eclipse.org Software
User Agreement</a> unless otherwise specified.</p>

<p>If you have problems downloading the drops, contact the <font
     face="'Bitstream Vera',Helvetica,Arial" size="-1"><a
     href="mailto:webmaster@eclipse.org">webmaster</a></font>.</p>

</center>
<!-- end footer -->








</body>
</html>
